Bug 522288 - When two monitors are attached, the display with the invalid EDID is completely ignored
Summary: When two monitors are attached, the display with the invalid EDID is complete...
Keywords:
Status: CLOSED DUPLICATE of bug 533632
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 00:54 UTC by Nicholas Miell
Modified: 2018-04-11 08:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 12:52:37 UTC


Attachments (Terms of Use)
dmesg (with KMS) (54.20 KB, text/plain)
2009-09-10 01:50 UTC, Nicholas Miell
no flags Details
Xorg.0.log (with KMS) (99.66 KB, text/plain)
2009-09-10 01:50 UTC, Nicholas Miell
no flags Details
dmesg (with KMS, drm.debug=1) (34.56 KB, text/plain)
2009-09-10 01:52 UTC, Nicholas Miell
no flags Details
Xorg.0.log (with KMS, drm.debug=1) (73.61 KB, text/plain)
2009-09-10 01:52 UTC, Nicholas Miell
no flags Details
/var/log/messages (with KMS, drm.debug=1) (132.89 KB, text/plain)
2009-09-10 01:53 UTC, Nicholas Miell
no flags Details
Xorg.0.log (with nomodeset) (249.77 KB, text/plain)
2009-09-10 01:53 UTC, Nicholas Miell
no flags Details

Description Nicholas Miell 2009-09-10 00:54:27 UTC
Description of problem:
If you attach two monitors, one with a valid EDID and one with an invalid EDID, the monitor with the invalid EDID is completely ignored.

Version-Release number of selected component (if applicable):
Whatever is on testday-20090909-x86_64.iso

How reproducible:
Always

Steps to Reproduce:
1. Attach two displays, with with good EDID, one with bad EDID
  
Actual results:
Only the display with the valid EDID is detected.

Expected results:
Both displays are detected.

Additional info:
http://www.smolts.org/client/show/pub_a5d07af1-0e5e-4bb1-b6cb-5d02feaf0891
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon R200 QH [Radeon 8500] [1002:5148] (rev 80)

Comment 1 Nicholas Miell 2009-09-10 01:46:57 UTC
OK, when retesting to collect logs, I accidentally swapped the inputs that the monitors were attached to and the behavior is in fact as follows:

1. Text mode is displayed on the monitor with the valid EDID (regardless of which output it is attached to).
2. X starts on the display attached to VGA output (regardless of which display it is).
3. Everything (mostly) works as it should without KMS (text on both, mirrored X displays by default, spanning works when you configure it).

Comment 2 Nicholas Miell 2009-09-10 01:50:39 UTC
Created attachment 360398 [details]
dmesg (with KMS)

Comment 3 Nicholas Miell 2009-09-10 01:50:59 UTC
Created attachment 360399 [details]
Xorg.0.log (with KMS)

Comment 4 Nicholas Miell 2009-09-10 01:52:26 UTC
Created attachment 360400 [details]
dmesg (with KMS, drm.debug=1)

Comment 5 Nicholas Miell 2009-09-10 01:52:48 UTC
Created attachment 360401 [details]
Xorg.0.log (with KMS, drm.debug=1)

Comment 6 Nicholas Miell 2009-09-10 01:53:21 UTC
Created attachment 360402 [details]
/var/log/messages (with KMS, drm.debug=1)

Comment 7 Nicholas Miell 2009-09-10 01:53:47 UTC
Created attachment 360403 [details]
Xorg.0.log (with nomodeset)

Comment 8 Matěj Cepl 2009-11-05 17:15:43 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 Jérôme Glisse 2009-11-12 12:52:37 UTC

*** This bug has been marked as a duplicate of bug 533632 ***


Note You need to log in before you can comment on or make changes to this bug.